Issue 44883 - Selecting Tools - Options - Java takes some time -> hourglass icon?
Summary: Selecting Tools - Options - Java takes some time -> hourglass icon?
Status: CONFIRMED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOo 2.0 Beta
Hardware: PC All
: P3 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
: 79880 101483 (view as issue list)
Depends on:
Blocks:
 
Reported: 2005-03-12 15:36 UTC by swissmac
Modified: 2017-05-20 10:45 UTC (History)
6 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description swissmac 2005-03-12 15:36:42 UTC
Trying to set up the Tools - Options screen, Java section when app froze. I
wanted to reset the default width of the blank template that loads when you open
the program so it fits on my screen. 

When my system was bought it came with a 17 inch monitor but now has an 800x600,
and despite resetting the width in windows settings the system still thinks I
can see off the right side of the screen, so the right side of wide dialogs is
invisible to me. I wanted to change that too, but had not found any settings for
it. Perhaps all dialog boxes should have the "maximise" button activated so when
they go off the screen they can always be brought back?

In addition, the crash report could not be sent as it generated a system error
and closed the application. I have found it very hard to let you know of this
problem, it isn't easy for non techies to find out how to do it, especially when
the automated procedure in the program itself fails.
Comment 1 michael.ruess 2005-03-14 10:52:18 UTC
Framework issue.
Comment 2 haxwell 2005-03-16 23:11:29 UTC
Confirming the initial issue of Tools/Options/Java freezing. Mine did not
completely freeze, but it did stop responding for a few seconds when I went to
that tab. 

If the reason is that it has to look something up in the system, perhaps a small
dialog saying "Analyzing Java Runtime Environments" or something would alleviate
any user concern.

Using OOo 1.9.84.
Comment 3 Olaf Felka 2005-03-17 09:12:08 UTC
I can't confirm the 'freezing', but I think it's a good idea the we should have
a hint to what the office is doing.
Comment 4 swissmac 2005-03-17 14:04:20 UTC
I can't ignore the possibility that I have a strange JRE set up, although I have
no idea why this would be. To test such a case, is there a place to check on
where OOo thinks the JRE is located? If it thinks the JRE is in one place, and
it isn't, it might hang whilst looking constantly in the wrong place? I know OOo
takes system settings to create the default blank page on opening the program,
so it may also take the system info for JRE location, and if this has become
corruptedd it may cause the hanging behaviour I have experienced. This is of
course the problem with always assuming the system settings are always right,
often they aren't!
Comment 5 joachim.lingner 2005-03-17 14:35:11 UTC
Could you have a look in C:\program files\Java and tell us what JREs are installed?

OOo locates different JREs and starts the respective java executable with a
small program, to obtain the system properties (version, vendor, home,
accessibility).  The office must wait until the java process terminates and it
must also wait until the error and output stream of that process is closed. This
does not happen. It seems that only Win 98 is affected. I will build in a work
around. Meanwhile you could do this. Find out what JRE installations you have.
Then cd into ever ...\jrexyz\bin directory. Run the the JREProperties program
from the office installation. For example,

java -cp "c:\program files\Office\program" JREProperties

Do not bother about the output. Then run the office and select tools->options,
Treeview(left side)->OpenOffice.org->Java. Select the JRE and click OK. Now
since you have selected a JRE, the office will use that from now on.

 

*** This issue has been marked as a duplicate of 44608 ***
Comment 6 swissmac 2005-03-17 15:22:22 UTC
I am using j2re1.4.2_05

But what do you mean "cd into ever..."???

Do you mean to enter a DOS window to run the cd (change directory) command? I
would need to know the entire path to do that... and as for "ever" ...??? Sorry,
I must be slow today. :-/

Also, what does 
java -cp "c:\program files\Office\program" JREProperties
mean? I am on Windows, not Linux... and by "Office" do you mean OpenOffice?

Sorry, I am completely confused as to whether you want me to initiate these
things in OOo, in DOS, or if they are instructions for a Linux machine. I also
cannot find any JREProperties file in the \bin file in the JRE I have, at least
not one called that.

I am happy to try what you say if I know exactly what to do, but last time I
tried to run the last part of the instructions (about changine the Tools - Java
settings) the computer crashed totally. I hope the bit I don't understnad in the
middle is the bit that will stop this happening...
Comment 7 Olaf Felka 2007-02-09 09:09:44 UTC
OF: Reopening for further rework.
Comment 8 Olaf Felka 2007-02-09 09:22:37 UTC
OF @ JL: I think it would be a usefull enhancement when will display something
that indicates that there is something still running and the user should be
patient. Adjusting the summary accordingly. See internal issue 6522967.
Comment 9 joachim.lingner 2007-02-09 14:05:47 UTC
.
Comment 10 Olaf Felka 2007-07-23 08:57:33 UTC
*** Issue 79880 has been marked as a duplicate of this issue. ***
Comment 11 instance 2007-08-01 19:40:12 UTC
How about while walking the file system (or the registry or whatever) you
periodically check for keyboard activity, especially up-arrow, down-arrow,
escape, control-c, break, etc. and if present, abort the search?

An indication that the application is still alive and doing something is
essential, but making a user wait two or more minutes because they happened to
scroll down through options and hit "Java" instead of remembering to mouse over
that selection is punitive, to say the least.

Not only that, but without polling for Windoze events while searching for JVMs,
the OS thinks the application is "non-responsive". A user who pulls up Task
Manager can reasonably conclude that the program has suffered a terminal hang
and restart it.
Comment 12 joachim.lingner 2007-08-02 08:22:49 UTC
jl->pb: please take care of this.
Comment 13 Mathias_Bauer 2007-12-04 16:17:33 UTC
according to release status meeting -> target 3.x
Comment 14 Mathias_Bauer 2009-05-06 17:44:12 UTC
Is this issue still relevant?
It was mentioned in one comment that it is related to Win98, so possibly it can
be closed. 
Comment 15 Olaf Felka 2009-05-08 07:37:48 UTC
*** Issue 101483 has been marked as a duplicate of this issue. ***
Comment 16 Olaf Felka 2009-05-08 07:39:52 UTC
At least it is still valid. OOo should not 'freeze' when looking for Java in
Tools - Options. Showing something like a hourglass would be helpful.
Comment 17 skelem 2009-05-15 18:41:38 UTC
Yes, it's still relevant in Linux. I filed bug 101483 (now marked a duplicate of
this one) because the user is given no info on what's going on and can't
interrupt whatever it's doing once it's started.
Comment 18 Olaf Felka 2009-05-15 19:04:53 UTC
@ mba: Is it possible to integrate something like the hourglass symbol?
Comment 19 Mathias_Bauer 2009-05-16 15:45:51 UTC
I think it is, but we have to see.
Comment 20 Rainer Bielefeld 2014-02-14 17:35:13 UTC
Still Reproducible with server installation of "AOO 4.1.0-Dev – English UI / German locale - [AOO410m1(Build:9750) - Rev. 1566800 - 2014-02-12]" on German WIN7 Home Premium (64bit)", own separate user profile.
Comment 21 Marcus 2017-05-20 10:45:29 UTC
Reset the assignee to the default "issues@openoffice.apache.org".